Package Details: python-pythonz-bd 1.11.4-1

Git Clone URL: https://aur.archlinux.org/python-pythonz-bd.git (read-only)
Package Base: python-pythonz-bd
Description: Python installation manager supporting CPython, Stackless, PyPy and Jython (berdario branch)
Upstream URL: https://github.com/berdario/pythonz
Licenses: MIT
Conflicts: python-pythonz
Submitter: arthru
Maintainer: arthru
Last Packager: arthru
Votes: 2
Popularity: 0.000000
First Submitted: 2015-09-22 07:05
Last Updated: 2017-11-03 13:33

Dependencies (5)

Required by (0)

Sources (1)

Latest Comments

arthru commented on 2017-11-03 13:34

I just updated the package to 1.11.4.

arthru commented on 2017-02-22 07:33

@carlwgeorge done, thanks for reporting

carlwgeorge commented on 2017-02-22 02:56

This fails to build in a clean chroot for me with a UnicodeDecodeError. After some research, I realized that makepkg doesn't set a locale by default. Many Arch packages work around this in the PKGBUILD by setting a utf8 locale via environment variable. For example:

https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/python-virtualenv#n23

Would you mind doing the same in this PKGBUILD?

package() {
cd "$srcdir/pythonz-bd-$pkgver"
- python3 setup.py build
- python3 setup.py install --prefix=/usr --root="$pkgdir"
+ LANG=en_US.UTF-8 python3 setup.py build
+ LANG=en_US.UTF-8 python3 setup.py install --prefix=/usr --root="$pkgdir"
}

arthru commented on 2016-01-05 09:05

Just added libtinfo as an optional dependency. Thanks @VirtualTam for pointing that out !

VirtualTam commented on 2016-01-04 21:51

Thanks for maintaining this package!
libtinfo[1] may be required as a dependency to run downloaded PyPy interpreters, could it be added to the (optional?) dependency array?

[1] https://aur.archlinux.org/packages/libtinfo/